# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.95"
name = "ma-core"
version = "0.5.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "DIDComm service library: inboxes, outboxes, DID document publishing, and transport abstraction"
documentation = "https://docs.rs/ma-core"
readme = "README.md"
keywords = [
    "did",
    "didcomm",
    "ipfs",
    "messaging",
]
categories = [
    "network-programming",
    "authentication",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/bahner/ma-core"

[features]
default = ["kubo"]
kubo = []

[lib]
name = "ma_core"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.22"

[dependencies.blake3]
version = "1"

[dependencies.bytes]
version = "1.11.1"

[dependencies.did-ma]
version = "0.4"
package = "ma-did"

[dependencies.iroh]
version = "0.97.0"

[dependencies.iroh-gossip]
version = "0.97.0"

[dependencies.rand]
version = "0.8"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "multipart",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.52"
features = ["io-util"]

[dependencies.tracing]
version = "0.1"

[dev-dependencies.tokio]
version = "1.52"
features = [
    "macros",
    "rt",
]
